package cs108.b;

import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;

public final class Dump {
    public static void main(String[] args) throws IOException {
        // Version 2, qui ferme correctement le flot si une exception est levée,
        // mais est trop lourde à écrire.
        InputStream s = new FileInputStream("allbytes.bin");
        try {
            int b = 0, pos = 0;
            while ((b = s.read()) != -1) {
                if ((pos % 16) == 0)
                    System.out.printf("%n%05d:", pos);
                System.out.printf(" %3d", b);
                pos += 1;
            }
        } finally {
            s.close();
        }
    }
}
