package cs108.c;

import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;

public final class Dump {
    public static void main(String[] args) throws IOException {
        // Version 3, qui utilise un try-with-resource pour fermer le flot : idéal.
        try (InputStream s = new FileInputStream("allbytes.bin")) {
            int b = 0, pos = 0;
            while ((b = s.read()) != -1) {
                if ((pos % 16) == 0)
                    System.out.printf("%n%05d:", pos);
                System.out.printf(" %3d", b);
                pos += 1;
            }
        }
    }
}
