package cs108.d;

import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.zip.GZIPInputStream;

public final class Dump {
    public static void main(String[] args) throws IOException {
        // Version qui lit le fichier compressé avec gzip.
        try(InputStream s = new GZIPInputStream(new FileInputStream("allbytes.bin.gz"))) {
            int b = 0, pos = 0;
            while ((b = s.read()) != -1) {
                if ((pos % 16) == 0)
                    System.out.printf("%n%05d:", pos);
                System.out.printf(" %3d", b);
                pos += 1;
            }
        }
    }
}
